* Internal Server Error * New Installation

Moderator: crythias

Post Reply
sj89
OTRS newbie
Posts: 8
Joined: 03 Feb 2012, 12:12
OTRS Version?: 3.0.11
Real Name: SJ
Company: Sybrid

* Internal Server Error * New Installation

Post by sj89 »

Hello all
I'm stuck with this problem on my OTRS Server after installing OTRS 3.1Rc1.
I followed the online manual, got NO errors in the process, and finally, after starting up httpd, also with NO errors, I'm getting this on

Code: Select all

500 Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator, administrator@mydomian.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.
More information about this error may be available in the server error log.
any ideas? am using Centos 6 (Fully updated) Apache (Latest) MySQL (Latest)


Code: Select all

[root@admin ~]# /opt/otrs/bin/otrs.CheckModules.pl
   o CGI..............................ok (v3.59)
   o Crypt::PasswdMD5.................ok (v1.3)
   o CSS::Minifier....................ok (v0.01)
   o Date::Format.....................ok (v2.22)
   o Date::Pcalc......................ok (v1.2)
   o DBI..............................ok (v1.609)
   o DBD::mysql.......................ok (v4.013)
   o DBD::ODBC........................Not installed! (Optional - Required to connect to a MS-SQL database.)
   o DBD::Oracle......................Not installed! (Optional - Required to connect to a Oracle database.)
   o DBD::Pg..........................Not installed! (Optional - Required to connect to a PostgreSQL database.)
   o Digest::MD5......................ok (v2.39)
   o Digest::SHA::PurePerl............ok (v5.70)
   o Encode::HanExtra.................Not installed! (Optional - Required to handle mails with several Chinese character sets.)
   o Encode::Locale...................ok (v1.02)
   o GD...............................Not installed! (Optional - Required for stats)
      o GD::Text......................Not installed! (Optional - Required for stats.)
      o GD::Graph.....................Not installed! (Optional - Required for stats.)
      o GD::Graph::lines..............Not installed! (Optional - Required for stats.)
      o GD::Text::Align...............Not installed! (Optional - Required for stats.)
   o IO::Scalar.......................ok (v2.110)
   o IO::Wrap.........................ok (v2.110)
   o JavaScript::Minifier.............ok (v1.05)
   o JSON.............................ok (v2.53)
      o JSON::PP......................ok (v2.27200)
      o JSON::XS......................Not installed! (Optional - Install it for faster AJAX/JavaScript handling.)
   o Locale::Codes....................ok (v3.18)
   o LWP::UserAgent...................ok (v6.03)
   o Mail::Internet...................ok (v2.08)
   o Mail::POP3Client.................ok (v2.18 )
      o IO::Socket::SSL...............ok (v1.31)
   o Mail::IMAPClient.................Not installed! (Optional - Required for IMAP TLS connections.)
      o IO::Socket::SSL...............ok (v1.31)
   o MIME::Base64.....................ok (v3.08)
   o MIME::Tools......................ok (v5.428)
   o ModPerl::Util....................ok (v2.000004)
      o Apache::DBI...................ok (v1.11)
      o Apache2::Reload...............ok (v0.11)
   o Net::DNS.........................ok (v0.65)
   o Net::POP3........................ok (v2.29)
   o Net::IMAP::Simple................ok (v1.20271)
      o Net::IMAP::Simple::SSL........ok (v1.3)
   o Net::SMTP........................ok (v2.31)
      o Authen::SASL..................ok (v2.15)
      o Net::SMTP::SSL................ok (v1.01)
      o Net::SMTP::TLS::ButMaintained.ok (v0.18)
   o Net::LDAP........................Not installed! (Optional - Required for directory authentication.)
   o PDF::API2........................Not installed! (Optional - Required for PDF output.)
      o Compress::Zlib................ok (v2.02)
   o SOAP::Lite.......................ok (v0.714)
      o version.......................ok (v0.77)
      o Class::Inspector..............ok (v1.25)
   o Text::CSV........................ok (v1.21)
      o Text::CSV_PP..................ok (v1.29)
      o Text::CSV_XS..................Not installed! (Optional - Install it for faster CSV handling.)
   o XML::Parser......................ok (v2.36)
   o HTTP::Message....................ok (v6.02)
      o HTTP::Headers.................ok (v6.00)
   o URI..............................ok (v1.59)
      o URI::Escape...................ok (v3.31)
   o Scalar::Util.....................ok (v1.21)
Packages are OK

[root@admin ~]# rpm -ivh otrs-3.1.0.rc1-01.noarch.rpm
Preparing... ########################################### [100%]
package otrs-3.1.0.rc1-01.noarch is already installed
Any help would be appreciated am new on linux so have to tell me little more details or in full santax
i changed httpdconfig which was mentioned in manual

Code: Select all

ServerAdmin ptay@yourdomain.com
ServerName [myIP]:80
Listen yourIP:80
Thanks
Regards,
SJ
OTRS 3.1 on Centos with MySQL database PHP Apache Server

ferrosti
OTRS ninja
Posts: 723
Joined: 10 Oct 2007, 14:30
OTRS Version?: 3.0
Location: Hamburg, Germany

Re: * Internal Server Error * New Installation

Post by ferrosti »

As the error states: have a look at the servers log!
Most likely you will find it under
/var/log/apache2/ *
depending on your configuration.
openSuSE on ESX
IT-Helpdesk: OTRS 3.0
Customer Service: OTRS 3.0 (upgraded from 2.3)
Customer Service (subsidiary): OTRS 3.0
+additional test and development systems

sj89
OTRS newbie
Posts: 8
Joined: 03 Feb 2012, 12:12
OTRS Version?: 3.0.11
Real Name: SJ
Company: Sybrid

Re: * Internal Server Error * New Installation

Post by sj89 »

Ok yes i found the httpd error log /var/log/httpd

Other thing

Code: Select all

chkconfig --list mysqld
mysqld          0:off   1:off   2:on    3:on    4:off   5:on    6:off

Code: Select all

chkconfig --list httpd
httpd           0:off   1:off   2:on    3:on    4:on    5:on    6:off
Is that fine?

Code: Select all

Message: Can't remove shm for log: Identifier removed

Traceback (7635):
Module: Kernal::System::Log::CleanUp (v1.65) Line:251
Module: Kernal::System::Log::New (v1.65) Line:101
Module: Kernal::System::Log::Web::Interface::new  (v1.65) Line:81
Module: ModPerl::ROOT::ModPerl::Registry::opt_otrs_bin_cgi_2dbin_installer_2epl::handler (unknown version Line: 43
Module: (eval) (v1.34) Line: 204
Nidyke/l NidOerkLLRegistryCooker::default_handler (v1.34) Line: 170
Nodule: ModPerl::Registry::handler (V1.99) Line" 31

-e: Use of uninitialized value in shmread at /opt/otrs//Kernal/System/Log.pm Line: 227
[error] -e Identifire removed at /opt/otrs//kernal/system/log.pm line 226.\n

 
OTRS 3.1 on Centos with MySQL database PHP Apache Server

sj89
OTRS newbie
Posts: 8
Joined: 03 Feb 2012, 12:12
OTRS Version?: 3.0.11
Real Name: SJ
Company: Sybrid

Re: * Internal Server Error * New Installation

Post by sj89 »

This is what i get when i use below command but still i havn't been to http://localhost/otrs/installer.pl

Code: Select all

 service otrs start
hostname: Unknown host
Starting OTRS..
 Checking httpd ... done.
 Checking database connection... DBI connect('database=otrs;host=localhost;','otrs',...) failed: Access denied for user 'otrs'@'localhost' (using password: YES) at /opt/otrs/Kernel/System/DB.pm line 256
ERROR: OTRS-otrs.CheckDB.pl-10 Perl: 5.10.1 OS: linux Time: Fri Feb 10 02:33:49 2012

 Message: Access denied for user 'otrs'@'localhost' (using password: YES)

 Traceback (8249):
   Module: Kernel::System::DB::new (v1.144) Line: 227
   Module: /opt/otrs/bin/otrs.CheckDB.pl (v1.4) Line: 52

Trying to connect to database
DSN: DBI:mysql:database=otrs;host=localhost;
DatabaseUser: otrs

No database connect! Error!
  Maybe your database isn't configured yet?

 Try the web installer to configure your database:

     -->> http:///otrs/installer.pl <<--

 or configure your database with README.database (DB - Setup Example)
OTRS 3.1 on Centos with MySQL database PHP Apache Server

ferrosti
OTRS ninja
Posts: 723
Joined: 10 Oct 2007, 14:30
OTRS Version?: 3.0
Location: Hamburg, Germany

Re: * Internal Server Error * New Installation

Post by ferrosti »

Your last log says it all: the otrs user is not allowed to connect to mysql. You need to add otrs@localhost to your mysql users and grant it access.
openSuSE on ESX
IT-Helpdesk: OTRS 3.0
Customer Service: OTRS 3.0 (upgraded from 2.3)
Customer Service (subsidiary): OTRS 3.0
+additional test and development systems

Post Reply